Name:		idntag
Version:	1.11
Release:	1%{?dist}
Summary:	Automatically identify, tag and rename audio files
License:	MIT
URL:		https://github.com/d99kris/idntag
Source0:	https://github.com/d99kris/idntag/archive/refs/tags/v%{version}.tar.gz


BuildRequires: cmake
BuildRequires: python3-devel
BuildRequires: python-acoustid
BuildRequires: libchromaprint-devel
BuildRequires: python-pytaglib
# for tests
BuildRequires: mp3info
BuildRequires: ffmpeg

Requires:      python-acoustid
BuildRequires: libchromaprint
BuildArch: noarch

%description
Idntag is a command-line tool that identifies artist and song name in specified 
audio files and updates their ID3-tag meta-data with correct data, and renames 
the files on format Artist_Name-Track_Name.

Warning: This tool modifies and renames its input files. The quality of song 
identification is not perfect and may have some false detections. It is therefore 
recommended to first make a copy of the files to be identified, so there is a 
backup in case the results are not good.

%prep
%setup -q

%build
mkdir build
cd build
%cmake ..
%cmake_build %{?_smp_mflags}

%install
cd build
%cmake_install

%files
%defattr(-,root,root,-)
%{_bindir}/idntag
%{_mandir}/man1/idntag.1*

%changelog
* Sat Dec 31 2022 josef radinger <cheese@nosuchhost.net> - 1.11-1
- bump version

* Sun Aug 28 2022 josef radinger <cheese@nosuchhost.net> - 1.03-2
- add dependecies on libchromaprint and python-acoustid

* Fri Aug 26 2022 josef radinger <cheese@nosuchhost.net> - 1.03-1
- initial version
